<div class="generate-stmt-container">

    <div class="row">

        <mat-form-field appearance="outline" class="col-6">
            <mat-label>Transaction Type</mat-label>
            <app-dropdown-search [data]="transactionTypes"></app-dropdown-search>
        </mat-form-field>

        <mat-form-field appearance="outline" class="col-6">
            <mat-label>Include</mat-label>
            <app-kendo-multi-select
                    [data]="includes"
                    [checkboxes]="true"></app-kendo-multi-select>
        </mat-form-field>

    </div>

    <div>
        <mat-form-field appearance="outline">
            <mat-label>Start Date - End Date</mat-label>
            <app-date-range [showDuration]="true" [dateRangeDurationComponent]="dateRangeDurationComponent"></app-date-range>
            <mat-hint align="end">
                <app-date-range-duration #dateRangeDurationComponent></app-date-range-duration>
            </mat-hint>
        </mat-form-field>
    </div>

    <div class="mt-2">
        <mat-form-field appearance="outline">
            <mat-label>Notes</mat-label>
            <textarea matInput rows="5"></textarea>
        </mat-form-field>
    </div>

</div>
